> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Benefit Changes for an Enrollment

> Lists all benefit changes for a given enrollment.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /enrollments/{public_id}/benefit_changes
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /enrollments/{public_id}/benefit_changes:
    get:
      tags:
        - enrollments
      description: Lists all benefit changes for a given enrollment.
      operationId: enrollments_benefit_changes_list
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BenefitChange'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    BenefitChange:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        status:
          $ref: '#/components/schemas/BenefitChangeStatusEnum'
        changes:
          type: array
          items:
            $ref: '#/components/schemas/ChangesEnum'
        previous_enrollment_plan:
          type: string
          readOnly: true
          nullable: true
        next_enrollment_plan:
          type: string
          readOnly: true
          nullable: true
        connection_method:
          $ref: '#/components/schemas/ConnectionMethodEnum'
        memo:
          type: string
          nullable: true
        assignee:
          type: string
          readOnly: true
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        needs_manual_completion:
          type: boolean
          readOnly: true
      required:
        - assignee
        - id
        - needs_manual_completion
        - next_enrollment_plan
        - previous_enrollment_plan
        - status
    BenefitChangeStatusEnum:
      enum:
        - new
        - removed
        - no_change
        - change
      type: string
      description: |-
        * `new` - New
        * `removed` - Removed
        * `no_change` - No Change
        * `change` - Change
    ChangesEnum:
      enum:
        - date_change
        - plan_change
        - dependent_change
        - volume_change
        - contribution_change
      type: string
      description: |-
        * `date_change` - Date Change
        * `plan_change` - Plan Change
        * `dependent_change` - Dependent Change
        * `volume_change` - Volume Change
        * `contribution_change` - Contribution Change
    ConnectionMethodEnum:
      enum:
        - api
        - edi
        - manual
      type: string
      description: |-
        * `api` - Api
        * `edi` - Edi
        * `manual` - Manual
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````